/*Main*/
header{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 20%;
    background: rgba(0, 0, 0, 0.386);
    display: flex;
    align-items: center;
    justify-content: space-between;
    font-size: 30px;
    text-align: center;
    color: rgb(255, 255, 255);
}
#logopicture{
    width: 125px;
    height: 125px;
}
body{
    position: fixed;
    top: 20%;
    left: 0;
    width: 100%;
    height: 80%;
    background: url(./Pictures/Meteor\ Shower.jpg);
    background-size: cover;
    

}
.container{
    position: relative;
    left: 5%;
    height: 100%;
    width: 90%;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;

}

/*Sections/Pages*/

#SocialMedia{
    position: relative;
    width: 100%;
    height: 20%;
    background: rgba(255, 0, 0, 0);
    justify-content: space-between;
    align-content: center;
}
#links{
    position: relative;
    width: 100%;
    height: 8%;
    background: rgba(0, 0, 0, 0.453);
    text-align: center;
    align-content: center;
}
#HomePage{
    position: relative;
    top: 0;
    left: 15%;
    width: 70%;
    height: 80%;
    background: rgba(164, 0, 0, 0.674);
    overflow: hidden;
    overflow-y: scroll;
}

#HomePage_Sections{
    position: relative;
    top: 20%;
    left: 0;
    width: 100%;
    height: 50%;
    background: rgba(164, 0, 0, 0);
}
#BlenderSection{
    position: relative;
    top: 0;
    left: 15%;
    width: 70%;
    height: 40%;
    background: rgba(255, 128, 0, 0.67);
    overflow: hidden;
    overflow-y: scroll;
}
#BlenderPage{
    position: relative;
    top: 0;
    left: 15%;
    width: 70%;
    height: 80%;
    background: rgba(255, 128, 0, 0.67);
    overflow: hidden;
    overflow-y: scroll;
}
#UnitySection{
    position: relative;
    top: 0;
    left: 15%;
    width: 70%;
    height: 40%;
    background: rgba(0, 0, 0, 0.5);
    overflow: hidden;
    overflow-y: scroll;
}
#UnityPage{
    position: relative;
    top: 0;
    left: 15%;
    width: 70%;
    height: 80%;
    background: rgba(0, 0, 0, 0.5);
    overflow: hidden;
    overflow-y: scroll;
}
#WebsiteDevelopmentSection{
    position: relative;
    top: 0;
    left: 15%;
    width: 70%;
    height: 40%;
    background: rgba(255, 29, 29, 0.5);
    overflow: hidden;
    overflow-y: scroll;
}
#WebsiteDevelopmentPage{
    position: relative;
    top: 0;
    left: 15%;
    width: 70%;
    height: 80%;
    background: rgba(255, 29, 29, 0.5);
    overflow: hidden;
    overflow-y: scroll;
}
#UpcomingGame{
    position: relative;
    top: 0;
    left: 15%;
    width: 70%;
    height: 80%;
    background: rgba(164, 0, 0, 0.674);
    overflow: hidden;
    overflow-y: scroll;
}

#Game_Music{
    position: relative;
    top: 0;
    left: 15%;
    width: 70%;
    height: 80%;
    background: rgba(25, 45, 54, 0.658);
    overflow: hidden;
    overflow-y: scroll;
}
#GamePage_Games{
    position: absolute;
    top: 20%;
    left: 0;
    width: 15%;
    height: 70%;
    background: rgba(154, 0, 0, 0.455);
}
#Games{
    position: relative;
    top: 0;
    left: 15%;
    width: 70%;
    height: 80%;
    background: rgba(25, 45, 54, 0.658);
    overflow: hidden;
    overflow-y: scroll;
}
#BioPage{
    position: relative;
    height: 80%;
    width: 80%;
    margin-left: 10%;
    background: rgba(0, 0, 255, 0.275);
    text-align: center;
    overflow: hidden;
    overflow-y: scroll;
}

/*Buttons*/

#homebtn{
    border: 4px, solid, red;
    width: 100px;
    height: 100%;
}
#homebtn:hover{
    border: 4px, solid, white;
    width: 100px;
    height: 100%;
    
}
#homebtn:active{
    border: 4px, solid, red;
    width: 100px;
    height: 100%;
    
}
#socialmediabtn{
    border: 4px, solid, green;
    position: relative;
    width: 90px;
    height: 80%;
    margin-top: 5px;
    margin-left: 6%;
}
#socialmediabtn:hover{
    border: 4px, solid, blue;
}
#socialmediabtn:active{
    border: 4px, solid, green;
}
#GamePagebtn{
    border: 4px, solid, red;
    position: relative;
    top: 0;
    width: 100px;
    height: 100px;
    margin-right: 50%;
}
#GamePagebtn:hover{
    border: 4px, solid, white;
}
#GamePagebtn:active{
    border: 4px, solid, red;
}
#MusicPagebtn{
    border: 4px, solid, red;
    position: relative;
    top: 0;
    width: 100px;
    height: 100px;
}
#MusicPagebtn:hover{
    border: 4px, solid, white;
}
#MusicPagebtn:active{
    border: 4px, solid, red;
}
#Gamebtn{
    border: 4px, solid, red;
    position: relative;
    width: 125px;
    height: 50%;
    margin: 15px;
}
#Gamebtn:hover{
    border: 4px, solid, white;
}
#Gamebtn:active{
    border: 4px, solid, red;
}

/*Text*/

#homepagetext{
    position: relative;
    text-align: center;
    font-size: 30px;
    color: white;
}
#blendertext{
    position: relative;
    text-align: center;
    font-size: 30px;
    color: rgb(0, 36, 144);
}
#unitytext{
    position: relative;
    text-align: center;
    font-size: 30px;
    color: rgb(255, 255, 255);
}
#webdevelopmenttext{
    position: relative;
    text-align: center;
    font-size: 30px;
    color: rgb(255, 255, 255);
}
#gamepagetext{
    position: relative;
    text-align: center;
    font-size: 30px;
    color: rgb(255, 255, 255);
}
#bigtext{
    position: relative;
    font-size: 55px;
    color: white;
    background: rgba(130, 0, 0, 0.858);
}
#biotext{
    position: relative;
    font-size: 30px;
    color: white;

}
/*pictures/Videos*/
#Picture{
    width: 600px;
    height: 300px;
}
#PictureReference{
    border: 5px, solid, rgb(0, 36, 144);
    width: 200px;
    height: 300px;
}
#PictureReference:hover{
    border: 5px, solid, black;
}
#PictureReference:active{
    border: 5px, solid, rgb(0, 36, 144);
}
#GamePictures{
    border: 4px, solid, red;
    width: 200px;
    height: 200px;
}
#GamePictures:hover{
    border: 4px, solid, white;
}
#GamePictures:active{
    border: 4px, solid, red;
}
#Videos{
    width: 500px;
    height: 500px;
}

/*Links*/

#SmallLink{
    border: 3px, solid, red;
    font-size: 30px;
    color: red;
    background: black;
    margin-right: 5%;
}
#SmallLink:hover{
    color: black;
    background: white;
}
#SmallLink:active{
    color: red;
}
#LargeLink{
    border: 5px, solid, red;
    font-size: 60px;
    color: red;
    background: black;
}
#LargeLink:hover{
    color: black;
    background: white;
}
#LargeLink:active{
    color: red;
}
#GameDownload{
    border: 4px, solid, red;
    width: 200px;
    height: 200px;
}
#GameDownload:hover{
    border: 4px, solid, white;
}
#GameDownload:active{
    border: 4px, solid, red;
}

/* Screen Size*/

@media(max-width: 1100px){
    header{
        font-size: 21px;
    }
    #logopicture{
        width: 125px;
        height: 125px;
    }

    /*Sections/Pages*/

    #SocialMedia{
        height: 15%;
    }

    /*Buttons*/

    #homebtn{
        width: 90px;
        height: 100%;
    }
    #Gamebtn{
        width: 75px;
        height: 50%;
        margin: 15px;
    }
    #GamePagebtn{
        width: 100px;
        height: 100px;
        margin-right: 50%;
    }
    #MusicPagebtn{
        border: 4px, solid, red;
        position: relative;
        top: 0;
        width: 100px;
        height: 100px;
    }
    #socialmediabtn{
        width: 60px;
        height: 60%;
    }

    /*Links*/
    #SmallLink{
        font-size: 23px;
    }

    #LargeLink{
        font-size: 45px;
    }

    /*Pictures/Videos*/
    #Picture{
        width: 500px;
        height: 250px;
    }

    #GamePictures{
        width: 150px;
        height: 150px;
    }
    #PictureReference{
        width: 200px;
        height: 300px;
    }
    #Videos{
        width: 400px;
        height: 400px;
    }
}

@media(max-width: 800px){
    header{
        height: 15%;
        font-size: 15px;
    }
    #logopicture{
        width: 100px;
        height: 100px;
    }

    /*Sections/Pages*/

    #SocialMedia{
        height: 10%;
    }

    /*Buttons*/

    #homebtn{
        width: 80px;
        height: 100%;
    }
    #Gamebtn{
        width: 55px;
        height: 50%;
        margin: 10px;
    }
    #GamePagebtn{
        width: 80px;
        height: 80px;
        margin-right: 40%;
    }
    #MusicPagebtn{
        width: 80px;
        height: 80px;
    }
    #socialmediabtn{
        width: 40px;
        height: 60%;
    }

    /*Text*/

    #homepagetext{
        font-size: 20px;
    }
    #blendertext{
        font-size: 20px;
    }
    #unitytext{
        font-size: 20px;
    }
    #gamepagetext{
        font-size: 20px;
    }
    #webdevelopmenttext{
        font-size: 20px;
    }
    #biotext{
        font-size: 20px;
    
    }
    #bigtext{
        font-size: 40px;
    }

    /*Links*/

    #GameDownload{
        width: 100px;
        height: 100px;
    }
    #SmallLink{
        font-size: 17px;
    }
    #LargeLink{
        font-size: 30px;
    }
    /*Pictures/Videos*/
    #Picture{
        width: 400px;
        height: 200px;
    }


    #GamePictures{
        width: 100px;
        height: 100px;
    }
    #PictureReference{
        width: 150px;
        height: 250px;
    }
    #Videos{
        width: 300px;
        height: 300px;
    }
}

@media(max-width: 600px){
    header{
        font-size: 10px;
    }

    /*Sections/Pages*/
    #links{
        height: 6%;
    }

    #SocialMedia{
        height: 8%;
    }

    /*Buttons*/

    #homebtn{
        width: 70px;
        height: 100%;
    }
    #Gamebtn{
        width: 35px;
        height: 50%;
        margin: 5px;
    }
    #GamePagebtn{
        width: 60px;
        height: 60px;
        margin-right: 30%;
    }
    #MusicPagebtn{
        width: 60px;
        height: 60px;
    }
    #socialmediabtn{
        width: 20px;
        height: 60%;
    }

    /*Text*/

    #homepagetext{
        font-size: 15px;
    }
    #blendertext{
        font-size: 15px;
    }
    #unitytext{
        font-size: 15px;
    }
    #gamepagetext{
        font-size: 15px;
    }
    #webdevelopmenttext{
        font-size: 15px;
    }
    #biotext{
        font-size: 15px;
    
    }
    #bigtext{
        font-size: 30px;
    }

    /*Links*/

    #SmallLink{
        font-size: 12px;
    }
    #LargeLink{
        font-size: 25px;
    }

    /*Pictures/Videos*/
    #Picture{
        width: 300px;
        height: 150px;
    }

    #GamePictures{
        width: 75px;
        height: 75px;
    }
    #PictureReference{
        width: 100px;
        height: 200px;
    }
    #Videos{
        width: 200px;
        height: 200px;
    }
}

@media(max-width: 450px){
    header{
        height: 11%;
        font-size: 6px;
    }
    #logopicture{
        width: 75px;
        height: 75px;
    }

    /*Sections/Pages*/

    #SocialMedia{
        height: 8%;
    }

    /*Buttons*/

    #homebtn{
        width: 60px;
        height: 100%;
    }
    #Gamebtn{
        width: 25px;
        height: 50%;
        margin: 5px;
    }
    #GamePagebtn{
        width: 40px;
        height: 40px;
        margin-right: 30%;
    }
    #MusicPagebtn{
        width: 40px;
        height: 40px;
    }
    #socialmediabtn{
        width: 15px;
        height: 50%;
    }

    /*Text*/
    #bigtext{
        font-size: 20px;
    }


    /*Links*/
    #SmallLink{
        font-size: 8px;
    }

    #LargeLink{
        font-size: 15px;
    }

    /*Pictures/Videos*/
    #Picture{
        width: 200px;
        height: 100px;
    }

    #GamePictures{
        width: 50px;
        height: 50px;
    }
    #PictureReference{
        width: 75px;
        height: 150px;
    }
    #Videos{
        width: 150px;
        height: 150px;
    }
}
